## Message Box

### **msgbox**

Show standard message.
```py
    message = 'Fucking World'
    title = 'My Macro'
    app.msgbox(message, title)
```

![msgbox](../img/tools_msg_01.png)

<br>

### **warning**

Show message with warning icon.
```py
    message = 'Caution, this action is dangerous'
    title = 'My Macro'
    app.warning(message, title)
```

![warning](../img/tools_msg_02.png)

<br>

### **errorbox**

Show message with error icon.
```py
    message = 'ERROR: contact support'
    title = 'My Macro'
    app.errorbox(message, title)
```

![error](../img/tools_msg_03.png)

<br>

### **question**

Ask a question by showing the interrogation icon and displaying the command buttons `Yes` and `No`. The answer is always True if user select `yes` and False otherwise.
```py
    message = 'Python is easy?'
    title = 'My Macro'
    result = app.question(message, title)
    app.msgbox(result)
```

![question](../img/tools_msg_04.png)

<br>

### **inputbox**

Shows a message to user, allowing to capture an answer.
```py
    message = 'Capture your name'
    name = app.inputbox(message)
    app.msgbox(name)
```

![inputbox](../img/tools_msg_05.png)

To hide on screen what the user typing, util for request passwords.
```py
    message = 'Type your password'
    echochar = '*'
    password = app.inputbox(message, echochar=echochar)
    app.msgbox(password)
```

![inputbox](../img/tools_msg_06.png)